Ticket #35733

フォントの選択肢から「Terminal」が消える

Eröffnet am: 2015-11-12 17:17 Letztes Update: 2017-08-31 23:13

Auswertung:
(Anonym)
Verantwortlicher:
Typ:
Status:
Geschlossen
Komponente:
Priorität:
3
Schweregrad:
5 - Mittel
Lösung:
Gefixt
Datei:
Keine
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

version4.88

フォントとして、MS ゴシックなどを一端指定すると、後で デフォルトのフォントである「Terminal」に戻ろうとしても メニューから消えてしまっていて戻せない。

Ticket-Verlauf (3/7 Historien)

2015-11-12 17:17 Aktualisiert von: None
  • New Ticket "bug?" created
2015-11-12 17:33 Aktualisiert von: (del#1144)
  • Komponente Update from (Keine) to Tera Term
  • Summary Updated
2015-11-12 19:10 Aktualisiert von: doda
Kommentar

Windows7 以降の OS では、アプリケーションでのフォント選択時に、 各フォントが候補に表示されるか個別に設定できるようになりました。

参考: http://www.atmarkit.co.jp/ait/articles/1303/08/news096.html

Tera Term のフォント選択でも非表示設定のフォントは表示されません。

Terminal フォントはデフォルトでは非表示設定だったと思いますので、 その影響で表示されないのだと思われます。

Terminal フォントを表示させたい場合は、コントロールパネルの 「デスクトップのカスタマイズ」-「フォント」を開いて、 Terminal を右クリックしてメニューで "表示" を選択してください。

OS のデフォルト設定で非表示となっているフォントがデフォルトなのが 妥当かについては検討した方がいいかもしれません。

2015-11-15 19:27 Aktualisiert von: (del#1144)
Kommentar

利用できるフォントはすべて表示するようにしてもいいかもしれませんね。

2017-07-11 17:10 Aktualisiert von: doda
  • Meilenstein Update from (Keine) to Tera Term 4.96 (closed)
  • Verantwortlicher Update from (Keine) to doda
  • Lösung Update from Keine to Accepted
Kommentar

非表示のフォントをリストに含める設定を追加しようと思います。

2017-07-25 17:56 Aktualisiert von: doda
  • Lösung Update from Accepted to Gefixt
Kommentar

r6856 で ListHiddenFonts を追加。On にすると OS で非表示に設定されたフォントも候補に含めるようになります。

2017-08-31 23:13 Aktualisiert von: doda
  • Ticket Close date is changed to 2017-08-31 23:13
  • Status Update from Offen to Geschlossen
Kommentar

4.96がリリースされましたのでクローズします。

Dateianhangliste

Keine Anhänge

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden